
  def create
    @<%= singular_name %> = <%= class_name %>.new(params[:<%= singular_name %>])

    respond_to do |format|
      if @<%= singular_name %>.save
        flash[:notice] = t('<%= plural_name %>.create.flash')
        format.html { redirect_to <%= "#{plural_name}_url" %> }
      <%- unless options[:no_xml] -%>
        format.xml  { render :xml => @<%= singular_name %>, :status => :created, :location => @<%= singular_name %> }
      <%- end -%>
      <%- unless options[:no_json] -%>
        format.json { render :json => @<%= singular_name %>, :status => :created, :location => @<%= singular_name %> }
      <%- end -%>
      else
        format.html { render :action => "new" }
      <%- unless options[:no_xml] -%>
        format.xml  { render :xml => @<%= singular_name %>.errors, :status => :unprocessable_entity }
      <%- end -%>
      <%- unless options[:no_json] -%>
        format.json { render :json => @<%= singular_name %>.errors, :status => :unprocessable_entity }
      <%- end -%>
      end
    end
  end
