
  def update
    @<%= singular_name %> = <%= class_name %>.find_by_id(params[:id])

    respond_to do |format|
      if @<%= singular_name %>.update_attributes(params[:<%= singular_name %>])
        flash[:notice] = t('<%= plural_name %>.update.flash')
        format.html { redirect_to <%= "#{plural_name}_url" %> }
      <%- unless options[:no_xml] -%>
        format.xml  { head :ok }
      <%- end -%>
      <%- unless options[:no_json] -%>
        format.json { head :ok }
      <%- end -%>
      else
        format.html { render :action => "edit" }
      <%- unless options[:no_xml] -%>
        format.xml  { render :xml => @<%= singular_name %>.errors, :status => :unprocessable_entity }
      <%- end -%>
      <%- unless options[:no_json] -%>
        format.json { render :json => @<%= singular_name %>.errors, :status => :unprocessable_entity }
      <%- end -%>
      end
    end
  end
